function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0;\n                ",
        ": 0.0625rem 0;\n                ",
        ": 1rem;\n                ",
        ": 1.125rem;\n                ",
        ": 0.125rem;\n                ",
        ": 0.5rem;\n                ",
        ": 0;\n                ",
        ": 0.5rem;\n                ",
        ": 0.125rem;\n                ",
        ": var(--plasma-typo-body-s-font-family);\n                ",
        ": var(--plasma-typo-body-s-font-size);\n                ",
        ": var(--plasma-typo-body-s-font-style);\n                ",
        ": var(--plasma-typo-body-s-font-weight);\n                ",
        ": var(--plasma-typo-body-s-letter-spacing);\n                ",
        ": var(--plasma-typo-body-s-line-height);\n                ",
        ": var(--plasma-typo-body-xs-font-family);\n                ",
        ": var(--plasma-typo-body-xs-font-size);\n                ",
        ": var(--plasma-typo-body-xs-font-style);\n                ",
        ": var(--plasma-typo-body-xs-font-weight);\n                ",
        ": var(--plasma-typo-body-xs-letter-spacing);\n                ",
        ": var(--plasma-typo-body-xs-line-height);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0;\n                ",
        ": 0.0625rem;\n                ",
        ": 1.375rem;\n                ",
        ": 1.125rem;\n                ",
        ": 0.125rem;\n                ",
        ": 0.625rem;\n                ",
        ": 0.125rem;\n                ",
        ": 0.625rem;\n                ",
        ": 0.125rem;\n                ",
        ": var(--plasma-typo-body-m-font-family);\n                ",
        ": var(--plasma-typo-body-m-font-size);\n                ",
        ": var(--plasma-typo-body-m-font-style);\n                ",
        ": var(--plasma-typo-body-m-font-weight);\n                ",
        ": var(--plasma-typo-body-m-letter-spacing);\n                ",
        ": var(--plasma-typo-body-m-line-height);\n                ",
        ": var(--plasma-typo-body-s-font-family);\n                ",
        ": var(--plasma-typo-body-s-font-size);\n                ",
        ": var(--plasma-typo-body-s-font-style);\n                ",
        ": var(--plasma-typo-body-s-font-weight);\n                ",
        ": var(--plasma-typo-body-s-letter-spacing);\n                ",
        ": var(--plasma-typo-body-s-line-height);\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0;\n                ",
        ": 0.0625rem;\n                ",
        ": 1.375rem;\n                ",
        ": 1.125rem;\n                ",
        ": 0.125rem;\n                ",
        ": 0.625rem;\n                ",
        ": 0.0625rem;\n                ",
        ": 0.75rem;\n                ",
        ": var(--plasma-typo-body-l-font-family);\n                ",
        ": var(--plasma-typo-body-l-font-size);\n                ",
        ": var(--plasma-typo-body-l-font-style);\n                ",
        ": var(--plasma-typo-body-l-font-weight);\n                ",
        ": var(--plasma-typo-body-l-letter-spacing);\n                ",
        ": var(--plasma-typo-body-l-line-height);\n                ",
        ": var(--plasma-typo-body-m-font-family);\n                ",
        ": 0.125rem;\n                ",
        ": var(--plasma-typo-body-m-font-size);\n                ",
        ": var(--plasma-typo-body-m-font-style);\n                ",
        ": var(--plasma-typo-body-m-font-weight);\n                ",
        ": var(--plasma-typo-body-m-letter-spacing);\n                ",
        ": var(--plasma-typo-body-m-line-height);\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-accent);\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": var(--inverse-text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": var(--inverse-text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n            "
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--inverse-text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n            "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-tertiary);\n                ",
        ": var(--inverse-text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n            "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-paragraph);\n                ",
        ": var(--inverse-text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n            "
    ]);
    _templateObject8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-positive);\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n            "
    ]);
    _templateObject9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-warning);\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n            "
    ]);
    _templateObject10 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject11() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-negative);\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n            "
    ]);
    _templateObject11 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject12() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.4;\n            "
    ]);
    _templateObject12 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject13() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-accent);\n            "
    ]);
    _templateObject13 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, radioboxTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'accent',
        size: 'm',
        focused: 'true'
    },
    variations: {
        /**
         * Размер контрола.
         */ size: {
            s: css(_templateObject(), radioboxTokens.margin, radioboxTokens.triggerPadding, radioboxTokens.triggerSize, radioboxTokens.triggerBorderRadius, radioboxTokens.triggerBorderWidth, radioboxTokens.ellipseSize, radioboxTokens.contentTopOffset, radioboxTokens.contentLeftOffset, radioboxTokens.descriptionMarginTop, radioboxTokens.labelFontFamily, radioboxTokens.labelFontSize, radioboxTokens.labelFontStyle, radioboxTokens.labelFontWeight, radioboxTokens.labelLetterSpacing, radioboxTokens.labelLineHeight, radioboxTokens.descriptionFontFamily, radioboxTokens.descriptionFontSize, radioboxTokens.descriptionFontStyle, radioboxTokens.descriptionFontWeight, radioboxTokens.descriptionLetterSpacing, radioboxTokens.descriptionLineHeight),
            m: css(_templateObject1(), radioboxTokens.margin, radioboxTokens.triggerPadding, radioboxTokens.triggerSize, radioboxTokens.triggerBorderRadius, radioboxTokens.triggerBorderWidth, radioboxTokens.ellipseSize, radioboxTokens.contentTopOffset, radioboxTokens.contentLeftOffset, radioboxTokens.descriptionMarginTop, radioboxTokens.labelFontFamily, radioboxTokens.labelFontSize, radioboxTokens.labelFontStyle, radioboxTokens.labelFontWeight, radioboxTokens.labelLetterSpacing, radioboxTokens.labelLineHeight, radioboxTokens.descriptionFontFamily, radioboxTokens.descriptionFontSize, radioboxTokens.descriptionFontStyle, radioboxTokens.descriptionFontWeight, radioboxTokens.descriptionLetterSpacing, radioboxTokens.descriptionLineHeight),
            l: css(_templateObject2(), radioboxTokens.margin, radioboxTokens.triggerPadding, radioboxTokens.triggerSize, radioboxTokens.triggerBorderRadius, radioboxTokens.triggerBorderWidth, radioboxTokens.ellipseSize, radioboxTokens.contentTopOffset, radioboxTokens.contentLeftOffset, radioboxTokens.labelFontFamily, radioboxTokens.labelFontSize, radioboxTokens.labelFontStyle, radioboxTokens.labelFontWeight, radioboxTokens.labelLetterSpacing, radioboxTokens.labelLineHeight, radioboxTokens.descriptionFontFamily, radioboxTokens.descriptionMarginTop, radioboxTokens.descriptionFontSize, radioboxTokens.descriptionFontStyle, radioboxTokens.descriptionFontWeight, radioboxTokens.descriptionLetterSpacing, radioboxTokens.descriptionLineHeight)
        },
        /**
         * Вид контрола.
         */ view: {
            accent: css(_templateObject3(), radioboxTokens.fillColor, radioboxTokens.ellipseColor, radioboxTokens.descriptionColor, radioboxTokens.triggerBackgroundColor, radioboxTokens.triggerBorderColor, radioboxTokens.triggerBorderCheckedColor),
            // deprecated
            default: css(_templateObject4(), radioboxTokens.fillColor, radioboxTokens.ellipseColor, radioboxTokens.descriptionColor, radioboxTokens.triggerBackgroundColor, radioboxTokens.triggerBorderColor, radioboxTokens.triggerBorderCheckedColor),
            // deprecated
            primary: css(_templateObject5(), radioboxTokens.fillColor, radioboxTokens.ellipseColor, radioboxTokens.descriptionColor, radioboxTokens.triggerBackgroundColor, radioboxTokens.triggerBorderColor, radioboxTokens.triggerBorderCheckedColor),
            // deprecated
            secondary: css(_templateObject6(), radioboxTokens.fillColor, radioboxTokens.ellipseColor, radioboxTokens.descriptionColor, radioboxTokens.triggerBackgroundColor, radioboxTokens.triggerBorderColor, radioboxTokens.triggerBorderCheckedColor),
            // deprecated
            tertiary: css(_templateObject7(), radioboxTokens.fillColor, radioboxTokens.ellipseColor, radioboxTokens.descriptionColor, radioboxTokens.triggerBackgroundColor, radioboxTokens.triggerBorderColor, radioboxTokens.triggerBorderCheckedColor),
            // deprecated
            paragraph: css(_templateObject8(), radioboxTokens.fillColor, radioboxTokens.ellipseColor, radioboxTokens.descriptionColor, radioboxTokens.triggerBackgroundColor, radioboxTokens.triggerBorderColor, radioboxTokens.triggerBorderCheckedColor),
            // deprecated
            positive: css(_templateObject9(), radioboxTokens.fillColor, radioboxTokens.ellipseColor, radioboxTokens.descriptionColor, radioboxTokens.triggerBackgroundColor, radioboxTokens.triggerBorderColor, radioboxTokens.triggerBorderCheckedColor),
            // deprecated
            warning: css(_templateObject10(), radioboxTokens.fillColor, radioboxTokens.ellipseColor, radioboxTokens.descriptionColor, radioboxTokens.triggerBackgroundColor, radioboxTokens.triggerBorderColor, radioboxTokens.triggerBorderCheckedColor),
            // deprecated
            negative: css(_templateObject11(), radioboxTokens.fillColor, radioboxTokens.ellipseColor, radioboxTokens.descriptionColor, radioboxTokens.triggerBackgroundColor, radioboxTokens.triggerBorderColor, radioboxTokens.triggerBorderCheckedColor)
        },
        disabled: {
            true: css(_templateObject12(), radioboxTokens.disabledOpacity)
        },
        focused: {
            true: css(_templateObject13(), radioboxTokens.focusColor)
        }
    }
};
